- Qt 5.15
- Qt 3D
- C++ Classes
- QSceneChange
- Qt 5.15.19 Reference Documentation

# QSceneChange Class

class Qt3DCore::QSceneChange

The base class for changes that can be sent and received by Qt3D's change notification system. More...

Header: | #include <Qt3DCore/QSceneChange>
qmake: | QT += 3dcore
Inherited By: | Qt3DCore::QComponentAddedChange, Qt3DCore::QComponentRemovedChange, Qt3DCore::QNodeCommand, Qt3DCore::QNodeCreatedChangeBase, Qt3DCore::QNodeDestroyedChange, Qt3DCore::QPropertyUpdatedChangeBase, Qt3DCore::QPropertyValueAddedChangeBase, and Qt3DCore::QPropertyValueRemovedChangeBase

- List of all members, including inherited members
- Obsolete members

## Public Types

enum | DeliveryFlag { BackendNodes, Nodes, DeliverToAll }
flags | DeliveryFlags

## Public Functions

DeliveryFlags | deliveryFlags() const
void | setDeliveryFlags(DeliveryFlags flags)
QNodeId | subjectId() const
ChangeFlag | type() const

## Protected Functions

| QSceneChange(ChangeFlag type, QNodeId subjectId)

## Related Non-Members

typedef | QSceneChangePtr

## Detailed Description

## Member Type Documentation

### enum QSceneChange::DeliveryFlag
flags QSceneChange::DeliveryFlags

The types of change that can be sent and received by Qt3D's change notification system.

Constant | Value
--- | ---
`Qt3DCore::QSceneChange::BackendNodes` | `0x0001`
`Qt3DCore::QSceneChange::Nodes` | `0x0010`
`Qt3DCore::QSceneChange::DeliverToAll` | `BackendNodes | Nodes`

The DeliveryFlags type is a typedef for QFlags<DeliveryFlag>. It stores an OR combination of DeliveryFlag values.

## Member Function Documentation

### `[protected]` QSceneChange::QSceneChange(ChangeFlag type, QNodeId subjectId)

Constructs a new QSceneChange with type and subjectId.

### DeliveryFlags QSceneChange::deliveryFlags() const

Returns the set delivery flags.

See also setDeliveryFlags().

### void QSceneChange::setDeliveryFlags(DeliveryFlags flags)

Sets the delivery flags of the change to flags.

See also deliveryFlags().

### QNodeId QSceneChange::subjectId() const

Returns scene change subject id.

### ChangeFlag QSceneChange::type() const

Returns the scene change type.

## Related Non-Members

### typedef QSceneChangePtr

A shared pointer for QSceneChange.